GETGID(2)

NAME
getgid, getegid - get group identity

SYNOPSIS
#include <sys/types.h>

gid = getgid()
gid_t gid;

egid = getegid()
gid_t egid;

DESCRIPTION
Getgid returns the real group ID of the current process, getegid the effective group ID.

The real group ID is specified at login time.

The effective group ID is more transient, and determines additional access permission during execution of a ``set-group-ID'' process, and it is for such processes that getgid is most useful.

SEE ALSO
getuid(2), setregid(2), setgid(3)